### Method

# Gtk CheckButtonset_label

#### Declaration [src]

    void
    gtk_check_button_set_label (
      GtkCheckButton* self,
      const char* label
    )

#### Description [src]

Sets the text of `self`.

If `GtkCheckButton:use-underline` is `TRUE`, an underscore in `label` is interpreted as mnemonic indicator, see `gtk_check_button_set_use_underline()` for details on this behavior.

Sets property | `Gtk.CheckButton:label`

#### Parameters

`label`

  Type: `const char*`

  The text shown next to the indicator, or `NULL` to show no text.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.